This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 821904 - JBoss ESB Service in inactive state
JBoss ESB Service in inactive state
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- SOA 5 (Show other bugs)
JON 3.1.0
i386 Linux
urgent Severity urgent
: ---
: JON 3.1.0
Assigned To: Stefan Negrea
Mike Foley
: TestBlocker
: 822264 (view as bug list)
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-05-15 13:46 EDT by Pavel Kralik
Modified: 2013-09-11 06:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 06:58:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
JBoss ESB service error (112.82 KB, image/png)
2012-05-15 13:46 EDT, Pavel Kralik
no flags Details
JON 3.1.0 Server/Agent logs (185.58 KB, application/x-gzip)
2012-05-16 12:39 EDT, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2012-05-15 13:46:03 EDT
Created attachment 584735 [details]
JBoss ESB service error

Description of problem:
JBoss ESB service does not start for SOA-P 5.3.0.ER2 and JON 3.1.0.GA-3

Version-Release number of selected component (if applicable):
Fedora 13
jon-server-3.1.0.GA-3
https://brewweb.devel.redhat.com/buildinfo?buildID=212937
soa-5.3.0.ER2
http://jawa05.englab.brq.redhat.com/candidate/soa-5.3.0.ER2/
PostgreSQL 8.4.8
FF 3.6.17

How reproducible:
Always

Steps to Reproduce:
1. Instal SOA-P 5.3.0.ER2
2. Start JON Server 3.1.0
3. Inventory the SOA-P server into the JON, update connection properties and go
JBossESB service to Inventory > Connection Settings tab.

Actual results:
The following connection settings have invalid values: [JBoss Home Directory, Configuration Path]. The values must be corrected before the settings can be saved.

Expected results:
JBoss ESB service in active mode.

Additional info:
http://hp-sl2x170zg6-02.rhts.eng.bos.redhat.com:7080/
Comment 1 tcunning 2012-05-15 23:05:27 EDT
Are there any stack traces in the agent log?
Comment 2 Pavel Kralik 2012-05-16 12:39:47 EDT
Created attachment 585017 [details]
JON 3.1.0 Server/Agent logs
Comment 3 Pavel Kralik 2012-05-16 12:42:25 EDT
There is a machine with reproduced bug at:
http://hp-sl2x170zg6-02.rhts.eng.bos.redhat.com:7080/
Comment 4 tcunning 2012-05-16 13:00:27 EDT
Was FileContentDelegate removed?

org.rhq.core.clientapi.agent.PluginContainerException: Failed to start component for resource Resource[id=10047, uuid=58630ae5-eac5-43a8-a386-6be846e87f6c, type={JBossESB5}ESB, key=jboss.esb:service=MessageCounter, name=JBoss ESB, parent=SOA kapr.brq.redhat.com:1099 production, version=5.3.0.ER2].
        at org.rhq.core.pc.inventory.InventoryManager.activateResource(InventoryManager.java:1697)
        at org.rhq.core.pc.inventory.InventoryManager.refreshResourceComponentState(InventoryManager.java:2906)
        at org.rhq.core.pc.inventory.InventoryManager.processSyncInfo(InventoryManager.java:2657)
        at org.rhq.core.pc.inventory.InventoryManager.processSyncInfo(InventoryManager.java:2663)
        at org.rhq.core.pc.inventory.InventoryManager.processSyncInfo(InventoryManager.java:2663)
        at org.rhq.core.pc.inventory.InventoryManager.synchInventory(InventoryManager.java:1084)
        at org.rhq.core.pc.inventory.InventoryManager.handleReport(InventoryManager.java:1058)
        at org.rhq.core.pc.inventory.RuntimeDiscoveryExecutor.call(RuntimeDiscoveryExecutor.java:121)
        at org.rhq.core.pc.inventory.RuntimeDiscoveryExecutor.call(RuntimeDiscoveryExecutor.java:56)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
 at java.util.concurrent.FutureTask.run(FutureTask.java:166)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$101(ScheduledThreadPoolExecutor.java:165)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:266)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
        at java.lang.Thread.run(Thread.java:636)
Caused by: java.lang.Exception: java.lang.NoClassDefFoundError: org/rhq/plugins/jbossas5/util/FileContentDelegate
        at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:637)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
        at java.util.concurrent.FutureTask.run(FutureTask.java:166)
        ... 3 more
Caused by: java.lang.NoClassDefFoundError: org/rhq/plugins/jbossas5/util/FileContentDelegate
        at org.jbosson.plugins.jbossesb.ESB5Component.start(ESB5Component.java:62)
        at sun.reflect.GeneratedMethodAccessor48.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:616)
        at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:632)
        ... 5 more
Caused by: java.lang.ClassNotFoundException: org.rhq.plugins.jbossas5.util.FileContentDelegate
        at java.net.URLClassLoader$1.run(URLClassLoader.java:217)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
        at org.rhq.core.pc.plugin.PluginClassLoader.loadClass(PluginClassLoader.java:63)
Comment 5 Len DiMaggio 2012-05-16 14:53:15 EDT
grep -r FileContentDelegate brms-p-5.3.0.BRMS-ER7-rhq-plugin.jar eds-p-5.3.0.ER2-rhq-modeshape-plugin.jar soa-p-5.3.0.ER2-rhq-jbossesb-plugin-as4.jar soa-p-5.3.0.ER2-rhq-jbossesb-plugin-as5.jar 
(null)
Comment 6 Stefan Negrea 2012-05-16 18:33:32 EDT
Added the two missing classes back to the JBossAS5 plugin for backwards compatibility with embedded versions of the plugin container. The code of the plugin was not updated to use these classes. The two classes are self contained and do not depend on any other plugin components. 

Also visually inspected the SOA-P plugin code to make sure there are no breaking changes in the API of FileContentDelegate and JarContentDelegate. No problems discovered.
Comment 8 Stefan Negrea 2012-05-16 18:37:29 EDT
release/jon3.1.x branch commit:
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=7eab8c4b2aeeef1256a343b90d8424314234b722
Comment 9 Len DiMaggio 2012-05-22 12:17:01 EDT
*** Bug 822264 has been marked as a duplicate of this bug. ***
Comment 10 Pavel Kralik 2012-05-23 05:25:26 EDT
JON-3.1.0.ER4 fix the bug.
https://brewweb.devel.redhat.com/buildinfo?buildID=214923
SOA-P 5.30.ER2
Comment 11 Pavel Kralik 2012-05-28 04:27:58 EDT
JON-3.1.0.ER4 fix the bug.
https://brewweb.devel.redhat.com/buildinfo?buildID=214923
SOA-P 5.30.ER3

Note You need to log in before you can comment on or make changes to this bug.